Subject: RE: I-D ACTION:draft-parker-isis-wg-mib-00.txt

From: Jeff Parker <[email-masked]>
Date: Thu, 10 Dec 1998 09:51:54 -0500

Peter -
	There are two issues that I'd like to keep seperate

	1) The size of a hardware identifier, large enough
	to hold a VPI/VCI, or similar hardware-specific index.
	I'll call this the HardwareId below: CircId is a much
	better name for it, but that will only confuse the issue.  

	2) The problem you raise with the current use of the
	CircId on Pseudo-Node LSPs.  As you point out, this
	is really a "LAN from my point of view" identifier.

I'm sorry that I conflated these two issues yesterday. 
 
The solution you suggest is really late binding for the CircId:
starting with a 0 and selecting an unused number when becoming DIS,
and keeping a table mapping ifIndex, HardwareId, and 
CircId to each other.  

Another solution would be saving the first 255 values of
the Hardware ID for LAN connections, and saving the rest
of a 32 bit name space for point-to-point Hardware Ids.
This ugly hack does not solve the problem of LAN routers
with more than 255 ports, but involves fewer changes
for our friends in ISO.  

I'm sure the group can come up with other creative
ways to address problem #2: these need not hold
back adding a new identifier to address problem 1.  

- jparker
- nexabit.com
- "It's like a fish under water!" - T. Saleh

> -----Original Message-----
> From:	Antoni Przygienda [SMTP:[email-masked]]
> Sent:	Wednesday, December 09, 1998 11:24 PM
> To:	Jeff Parker
> Cc:	[email-masked]; [email-masked]; Jim Halpin
> Subject:	Re: I-D ACTION:draft-parker-isis-wg-mib-00.txt
> 
> Jeff Parker wrote:
> > Other Open issues on my list include
> >         Size of CircIndex - 8 bits is not enough.
> >         Status of the other 3 metrics
> > Comments welcome.
> 
> yes, I confused the Ifindex with a circuit index. If everyone's ok 
> with that we could expand the 8 bits but then the problem of
> non-uniqueness
> still exists. 
> 
> > I agree that a best practices document is an excellent
> > thing.  Are you offering to write it, Tony?
> 
> From all I know it should be forthcoming from more competent parties
> than
> I am ...
> 
> BTW, on the MIB, I see that you rely that the user is setting the
> metrics
> for L2 aggregates in the MIB which is not necessarily what the 1195
> describes.
> Actually, funny enough, 1195 describes something else (in terms how to
> compute
> this metric) from what's currently used (min vs. max). I don't think
> computing 
> these metrics in an inconsistent manner will lead to routing loops but
> it would be 
> nice to agree on either the min or max of the summarized prefixes ? 
> 
> 		thank you
> 
> 		--- tony
> 
> 
> > 
> > - jparker
> > - nexabit.com
> > 
> > > -----Original Message-----
> > > From: Antoni Przygienda [SMTP:[email-masked]]
> > > Sent: Tuesday, December 08, 1998 12:10 AM
> > > To:   Peter Higginson
> > > Cc:   [email-masked]
> > > Subject:      Re: I-D ACTION:draft-parker-isis-wg-mib-00.txt
> > >
> > > > page 10 - I'd like to understand the rationale for leaving the
> > > AuthXxxPwd
> > > > entries out. I thought that there were implementations that used
> > > simple
> > > > passwords - or are these only on circuits.
> > >
> > > I hope I follow here, there should be 2 types of passwords, one
> which
> > > is
> > > specific to the domain/area, the other to the circuit. Different
> > > things
> > > are
> > > getting validated using different passwords as described in the
> ISO
> > > spec. And as far I remember last MIB did not have it ...
> > >
> > > > It has always concerned me that some timers could be set to
> silly
> > > values
> > >
> > > I would say however that we need a kind of "best-current
> practices"
> > > document
> > > that would contain the things deployed today & deemed usefull
> (e.g.
> > > the
> > > timer per
> > > level is one of those) first & the MIB should align with that
> [which
> > > is
> > > specifically
> > > in our charter]  (as I mentioned earlier today). Using the MIB
> itself
> > > as
> > > the vehicle of such an undertaking seems to me to be the wrong
> tool
> > > for
> > > this
> > > specific kind of task ...
> > >
> > >               thank you
> > >
> > >               --- tony